package com.huimv.video.service;

import com.huimv.video.domain.CameraInfo;

import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.video.service
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/1/7 0007 13:54
 **/
public interface CameraInfoService {
    void save(CameraInfo cameraInfo);

    void update(CameraInfo cameraInfo);

    void delete(List<Integer> ids);

    List findAll();
    //以上是crud

    /*
    * @Method      : searchAll
    * @Description : 模糊查询,没有分页
    * @Params      : [name]
    * @Return      : java.util.List
    * 
    * @Author      : yuxuexuan
    * @Date        : 2021/1/7 0007
    * @Time        : 18:05 
    */
    List<CameraInfo> searchAll(String name);

    /*
     * @Method      : getCameraDetails
     * @Description : 获取摄像头组合信息
     * @Params      : []
     * @Return      : java.util.List
     *
     * @Author      : yuxuexuan
     * @Date        : 2021/1/7 0007
     * @Time        : 19:01
     */
    List getCameraDetails(List<Integer> areaIds);
}
